Update an address Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v2/addresses/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • account_uuids array[string(uuid)]

    The UUIDs of the accounts who should own the address. These must only be client accounts.

  • primary_account_uuids array[string(uuid)]

    The UUIDs of the accounts who should have the address as their primary address.

  • name string

    Name of the address

  • address_1 string

    First line of the address

  • address_2 string

    Second line of the address

  • address_3 string

    Third line of the address

  • address_4 string

    Fourth line of the address

  • town_city string

    Town/City

  • county string

    County

  • postcode string

    Postcode

  • country string

    Country

  • move_in_date string

    Move in date

  • moved_in_month integer

    The month the client moved into this address.

  • moved_in_year integer

    The year the client moved into this address.

  • moved_out_month integer

    The month the client moved out of this address.

  • moved_out_year integer

    The year the client moved out of this address.

  • residential_status string

    The client's residential status when living at the address.

    Value Description
    homeowner Homeowner
    renting Renting
    living_with_parents Living With Parents
    other Other

    Values are homeowner, renting, living_with_parents, or other.

  • residential_status_other string

    The client's residential status if it is not provided in the residential_status options. Must only be provided if residential_status is other.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • address_1 string
    • address_2 string
    • address_3 string
    • address_4 string
    • town_city string
    • county string
    • postcode string
    • country string
    • accounts object
      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • primary_accounts object
      Hide primary_accounts attributes Show primary_accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • moved_in_month integer
    • moved_in_year integer
    • moved_out_month integer
    • moved_out_year integer
    • residential_status string
    • residential_status_other string
    • lived_in_months integer
PUT /api/v2/addresses/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/addresses/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"account_uuids":["63923fce-ec77-4ee1-a8e1-a4d026855027","df109a9e-1a3c-4dad-898b-c12018c50b76","c241295c-1be2-4a48-b587-d92a6c3f01ee"],"primary_account_uuids":["dbaf306c-cd81-407d-8eef-8cd66f3c33db","f4d25d44-b4cd-4d28-a9da-73d5ceb47a20","4eab886e-d595-45b6-8f1f-817bdf5be056"],"name":"Work Address","address_1":"Suite E","address_2":"5 The Briars","address_3":"Waterberry Drive","address_4":"The Innovative Centre","town_city":"Waterlooville","county":"Hampshire","postcode":"PO7 7YH","country":"United Kingdom","move_in_date":"2024-06-20","moved_in_month":6,"moved_in_year":2022,"moved_out_month":1,"moved_out_year":2024,"residential_status":"homeowner","residential_status_other":"Non-tenant occupier"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "account_uuids": [
    "63923fce-ec77-4ee1-a8e1-a4d026855027",
    "df109a9e-1a3c-4dad-898b-c12018c50b76",
    "c241295c-1be2-4a48-b587-d92a6c3f01ee"
  ],
  "primary_account_uuids": [
    "dbaf306c-cd81-407d-8eef-8cd66f3c33db",
    "f4d25d44-b4cd-4d28-a9da-73d5ceb47a20",
    "4eab886e-d595-45b6-8f1f-817bdf5be056"
  ],
  "name": "Work Address",
  "address_1": "Suite E",
  "address_2": "5 The Briars",
  "address_3": "Waterberry Drive",
  "address_4": "The Innovative Centre",
  "town_city": "Waterlooville",
  "county": "Hampshire",
  "postcode": "PO7 7YH",
  "country": "United Kingdom",
  "move_in_date": "2024-06-20",
  "moved_in_month": 6,
  "moved_in_year": 2022,
  "moved_out_month": 1,
  "moved_out_year": 2024,
  "residential_status": "homeowner",
  "residential_status_other": "Non-tenant occupier"
}
Response examples (200)
{
  "uuid": "57e84b02-c02f-4006-aa79-154c0a829fb5",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "name": "Work Address",
  "address_1": "Suite E, 5 The Briars",
  "address_2": "Waterberry Drive",
  "address_3": "The Innovative Centre",
  "address_4": "Waterlooville",
  "town_city": "Waterlooville",
  "county": "Hampshire",
  "postcode": "PO7 7YH",
  "country": "United Kingdom",
  "accounts": {
    "uuid": "3977635d-61f1-438c-b5b9-007f7c31b554",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": {
      "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "primary_accounts": {
    "uuid": "5915ffd9-560f-44e9-b564-8472324e72a6",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": {
      "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "moved_in_month": 6,
  "moved_in_year": 2022,
  "moved_out_month": 1,
  "moved_out_year": 2024,
  "residential_status": "homeowner",
  "residential_status_other": "homeowner",
  "lived_in_months": 19
}